## Index

### Enumerations

- LevelOfDetail

### Classes

- VerticalStoryVis

### Interfaces

- ISlideNodeRepr

### Functions

- create
- createStoryVis
- getLevelOfDetail
- isEditAble
- to_duration
- to_starting_time

## Functions

### create

- create(data: ProvenanceGraph, parent: Element, options?: object): VerticalStoryVis

- - Defined in storyvis.ts:717

  #### Parameters

  - ##### data: ProvenanceGraph

  - ##### parent: Element

  - ##### Default value options: object = {}

  #### Returns VerticalStoryVis

### createStoryVis

- createStoryVis(graph: ProvenanceGraph, parent: HTMLElement, main: HTMLElement, options: object): VerticalStoryVis

- - Defined in storyvis.ts:723

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### parent: HTMLElement

  - ##### main: HTMLElement

  - ##### options: object

    - ##### thumbnails: boolean

  #### Returns VerticalStoryVis

### getLevelOfDetail

- getLevelOfDetail(): LevelOfDetail

- - Defined in storyvis.ts:55

  #### Returns LevelOfDetail

### isEditAble

- isEditAble(): boolean

- - Defined in storyvis.ts:69

  #### Returns boolean

### to_duration

- to_duration(d: number): string

- - Defined in storyvis.ts:35

  #### Parameters

  - ##### d: number

  #### Returns string

### to_starting_time

- to_starting_time(d: SlideNode, story: SlideNode[]): number

- - Defined in storyvis.ts:40

  #### Parameters

  - ##### d: SlideNode

  - ##### story: SlideNode[]

  #### Returns number

Generated using TypeDoc